Contents

API reference

Onboarding

API reference descriptions are provided in English to preserve the exact published contract.

List resumable and recent Embedded Signup sessions

GET /v1/accounts/{AC}/onboarding/sessions

Required scope: `senders:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Create an Embedded Signup v4 session

POST /v1/accounts/{AC}/onboarding/sessions

Required scope: `senders:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (3 fields)
Request body
NameTypeRequiredDescription
dashboardSessionIdstring (max 512 chars)yes
hostedboolean
reconnectOperationSidstring (OP… SID)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Fetch an Embedded Signup session

GET /v1/accounts/{AC}/onboarding/sessions/{id}

Required scope: `senders:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
idpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Cancel an unfinished Embedded Signup session

POST /v1/accounts/{AC}/onboarding/sessions/{id}/cancel

Required scope: `senders:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
idpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Consume an Embedded Signup event and exchange its code

POST /v1/accounts/{AC}/onboarding/sessions/{id}/complete

Required scope: `senders:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
idpath · string (uuid)yes
Request body (11 fields)
Request body
NameTypeRequiredDescription
businessIdstring (max 128 chars)
codestring (max 4096 chars)
currentStepstring (max 128 chars)
dashboardSessionIdstring (max 512 chars)yes
errorMessagestring (max 1024 chars)
event"FINISH" | "FINISH_ONLY_WABA" | "FINISH_WHATSAPP_BUSINESS_APP_ONBOARDING" | "FINISH_OBO_MIGRATION" | "FINISH_GRANT_ONLY_API_ACCESS" | "CANCEL" | "ERROR"yes
phoneNumberIdstring (max 128 chars)
portfolioIdstring (max 128 chars)
sessionIdstring (max 512 chars)
statestring (max 256 chars)yes
wabaIdstring (max 128 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Explain the exact onboarding readiness decision and next action

GET /v1/accounts/{AC}/onboarding/sessions/{id}/readiness

Required scope: `senders:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yes
idpath · string (uuid)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List authorized WhatsApp Business Accounts

GET /v1/accounts/{AC}/wabas

Required scope: `wabas:read`.

Parameters

Parameters
NameTypeRequiredDescription
businessIdquery · string (max 128 chars)
limitquery · integer (1–100)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.